package com.loafle.commons.rpc.protocol;

/**
 * Error
 */
public class RPCError {
	public final int code;
	public final String message;
	public final Object data;

	/**
	 * Creates the error.
	 *
	 * @param code    the code
	 * @param message the message
	 * @param data    the data
	 */
	public RPCError(int code, String message, Object data) {
		this.code = code;
		this.message = message;
		this.data = data;
	}

	/**
	 * @return the code
	 */
	int getCode() {
		return code;
	}

	/**
	 * @return the message
	 */
	String getMessage() {
		return message;
	}

	/**
	 * @return the data
	 */
	Object getData() {
		return data;
	}
}