package com.loafle.commons.rpc.protocol.grpc;

import java.util.List;

import com.google.gson.Gson;
import com.google.protobuf.ByteString;
import com.loafle.commons.rpc.RPCException;
import com.loafle.commons.rpc.protocol.RPCRegistryCodec;

/**
 * GRPCServerCodec
 */
public class GRPCServerCodec {
  private Gson gson;

  public GRPCServerCodec() {
    this.gson = new Gson();
  }
  public GRPCServerCodec(Gson gson) {
    this.gson = gson;
  }

  public void setGson(Gson gson) {
    this.gson = gson;
  }

  public Gson getGson() {
    return this.gson;
  }

  public RPCRegistryCodec request(String service, String method, List<ByteString> params) throws RPCException {
    return new GRPCServerRequestCodec(this.gson, service, method, params);
  }

  public byte[] notification(String method, Object... params) throws RPCException {
    return null;
  }
}
